INTERFACE
SUBROUTINE RANDOM_CTLVEC(YDCV,LDINIT,LDMERR,LDTOVS,LDLAM,LDPARA,LDTS,KSEED)
USE PARKIND1, ONLY: JPIM, JPRB
USE RANDOM_NUMBERS_MIX
USE CONTROL_VECTORS
USE SPECTRAL_FIELDS_MOD
TYPE(CONTROL_VECTOR), INTENT(INOUT) :: YDCV
LOGICAL, INTENT(IN) :: LDINIT
LOGICAL, INTENT(IN) :: LDMERR
LOGICAL, INTENT(IN) :: LDTOVS
LOGICAL, INTENT(IN) :: LDLAM
LOGICAL, INTENT(IN) :: LDPARA
LOGICAL, INTENT(IN) :: LDTS
INTEGER (KIND=JPIM), INTENT(INOUT) :: KSEED
END SUBROUTINE RANDOM_CTLVEC
END INTERFACE
